-- Create the ombu_time_group_exception_dates table
USE `ombutel`;
CREATE TABLE IF NOT EXISTS `ombu_time_groups_exception_dates` (
  `schedule_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `time_group_id` int(10) unsigned NOT NULL,
  `description` varchar(255) NOT NULL,
  `start_time` varchar(255) NOT NULL,
  `end_time` varchar(255) NOT NULL,
  `enabled` enum('yes','no') NOT NULL DEFAULT 'yes',
  PRIMARY KEY (`schedule_id`),
  KEY `time_group_id` (`time_group_id`),
  CONSTRAINT `ombu_time_group_exception_days_ibfk_1` FOREIGN KEY (`time_group_id`) REFERENCES `ombu_time_groups` (`time_group_id`) ON DELETE CASCADE
);