(function () {
	$("#astmanager_users_form").validate(Validations);

	// Initialize autocomplete for user_name field in add mode
	if($("#astmanager_users_form #mode").val() == "add") {
		$("#astmanager_users_form").find("[name='user_name']").autocomplete({
			source: amiUserAutoComplete,
			select: function(event, ui) {
				pbx_request("astmanager_users", "getContent", "edit", ui.item.id);
			}
		});
	}

	$("#astmanager_users_form").on("keyup", "#astmanager_usersgeneral input[name='secret']", function() {
		show_pass_strength({
			"class" : "core",
			"method" : "show_strength",
			"value" : this.value,
			"bar_selector" : "#astmanager_users_form [name='"+this.name+"'] + .password_strength"
		});
	});

	$("#astmanager_users_form #astmanager_usersgeneral input[name='secret']").parent().append('<i class="fa fa-eye password-toggle-icon"></i>');
	$("#astmanager_users_form #astmanager_usersgeneral input[name='secret']").trigger("keyup");

	const check_for_all = function() {
		const element = $(this);
		if (Array.isArray(values = element.val())) {
			if (values.length > 1 && values.includes("all")) {
				element.val("all").trigger("change");
			}
		}
	};
	$("#astmanager_users_form select[name='read[]']").on("change", check_for_all);
	$("#astmanager_users_form select[name='write[]']").on("change", check_for_all);
})();
