(function () {
	var tcClockInterval = 1000;
	register_timer("time_conditions", "update_clock", updateTCClock, tcClockInterval, true);

	var tc_form = Ombutel.find('#time_conditions_form');
	if(tc_form.find("#mode").val() == "add") {
		tc_form.find("[name='description']").autocomplete({
			source: timeConditionsAutoComplete,
			select: function(event, ui) {
				pbx_request("time_conditions", "getContent", "edit", ui.item.id);
			}
		});
	}

	function updateTCClock(){
		var tcTab = $('#tab_time_conditions');
		var timeSpan = $("#time-condition-clock");
		var currentTime = timeSpan.text();
		var splitTime = currentTime.split(":");
		var dateObject = new Date();
		dateObject.setHours(splitTime[0]);
		dateObject.setMinutes(splitTime[1]);
		dateObject.setSeconds(splitTime[2]);

		var dataObject2 = new Date(dateObject.valueOf() + tcClockInterval);
		var updatedTime = dataObject2.toTimeString().split(" ")[0];
		timeSpan.html(updatedTime);
	}
	$.each($('#time_conditions_form select#modtrue, #time_conditions_form select#match_index, ' +
		'#time_conditions_form select#modfalse, #time_conditions_form select#mismatch_index'), function(i, element
	) {
		$(element).select2({});
	});
})();
