(function () {
	var mod_dest = $('#custom_appgeneral #mod_dest');
	var dest = $('#custom_appgeneral #destination_index');
	var custom_dest = $('#custom_appgeneral  #custom_destination');
	var custom_category_id = $('#custom_appgeneral  input#custom_category').val();

	$("#custom_app_form").validate(Validations);

	// Initialize autocomplete for extension field in add mode
	if($("#custom_app_form #mode").val() == "add") {
		$("#custom_app_form").find("[name='extension']").autocomplete({
			source: customAppExtensionAutoComplete,
			select: function(event, ui) {
				pbx_request("custom_app", "getContent", "edit", ui.item.id);
			}
		});
	}

	var replace_dest = dest.parent();
	custom_dest.appendTo(replace_dest);


	mod_dest.on('change', function() {
		var value = $(this).val();
		custom_dest.val('');
		isCustom(value);
	})

	function isCustom(val) {
		if(val == custom_category_id) {
			dest.hide();
			dest.addClass('ignore');
			custom_dest.removeClass('hidden');
			$('#custom_appgeneral select#destination_index').select2('destroy');
		} else {
			dest.show();
			dest.removeClass('ignore');
			custom_dest.addClass('hidden');
			$('#custom_appgeneral select#destination_index').select2();
		}
	}
	$.each($('#custom_appgeneral select#mod_dest, #custom_appgeneral select#destination_index'), function(i, element) {
		$(element).select2({});
	});

	isCustom(mod_dest.val());
})();
