$(function() {
	$("#external_resourcesresources").on("refresh", function() {
		pbx_request("external_resources");
		showReloadButton();
	});

	$("#external_resourcesresources .datatable").on("click", "td button:nth-of-type(1)", function(event) {
		const resource_id = $(event.target).closest("tr").data("id");
		do_action(`/edit-external-storage-provider/${resource_id}`);
		return false;
	});
	$("#external_resourcesresources .datatable").on("click", "td button:nth-of-type(2)", function(event) {
		const resource_id = $(event.target).closest("tr").data("id");
		do_action(`/delete-external-storage-provider/${resource_id}`);
		return false;
	});

	// Add eye toggle for password fields
	$(document).on('shown.bs.modal', '#modal-external-resource', function() {
		$("#modal-external-resource input[name='s3-password'], #modal-external-resource input[name='sftp-password']")
			.parent().append('<i class="fa fa-eye password-toggle-icon"></i>');
	});

});

function test_external_resource(button) {
	const form = new FormData($(button).closest("form")[0]);
	form.set("class", "external_resources");
	form.set("method", "test_resource");
	const xhr = new XMLHttpRequest();
	xhr.onload = function() {
		if (xhr.readyState == xhr.DONE) {
			$(button).prop("disabled", false).find("span").remove();
			if (!button.isConnected || !$(button).closest("form").is(":visible")) {
				return; // user went elsewhere
			} else if (xhr.status == 200) {
				const response = JSON.parse(xhr.responseText);
				if (response && response.valid) {
					alert(ombu.i18n.external_resources.test_completed);
				} else {
					alert(ombu.i18n.external_resources.test_failed);
				}
			}
		}
	};
	$(button).prop("disabled", true).prepend($("<span>").addClass("spinner-border spinner-border-sm"));
	xhr.open("POST", "/");
	xhr.send(form);
}
