(function() {
	const usersForm = $("#users_form");
	usersForm.validate(Validations);

	// Initialize autocomplete for user field in add mode
	if($("#users_form #mode").val() == "add") {
		$("#users_form").find("[name='user']").autocomplete({
			source: usersAutoComplete,
			select: function(event, ui) {
				pbx_request("users", "getContent", "edit", ui.item.id);
			}
		});
	}

	var user_id = $('form#users_form input#user_id').val();
	if(typeof user_id !== "undefined" && user_id == 1) {
		$('form#users_form input#user').prop("readonly", true);
	} else {
		$('form#users_form input#user').prop("readonly", false);
	}
	$("#users_form input[name='password']").parent().append('<i class="fa fa-eye password-toggle-icon"></i>');
	usersForm.on("keyup", "#usersgeneral input[name='password']", function() {
		show_pass_strength({
			"class" : "core",
			"method" : "show_strength",
			"value" : this.value,
			"bar_selector" : "#users_form [name='"+this.name+"'] + .password_strength"
		});
	});

	usersForm.find("[name='role']").change(function(event) {
		var element = $(event.target);
		var url = '/?class=users&method=getStartupOptions&role='+element.val();
		$.ajax(url).done(function(options) {
			usersForm.find("[name='startup']").empty().append(options.map(function(option) {
				return $("<option/>").html(option.content).val(option.value);
			}));
		});
	});
})();
